package com.example;

import javax.annotation.PostConstruct;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import com.jd.platform.hotkey.client.ClientStarter;

@SpringBootApplication
public class UeditorTestApplication {

	@Value("${etcd.server}")
    private String etcd;
   

    
    
	public static void main(String[] args) {
		SpringApplication.run(UeditorTestApplication.class, args);
	}
	
	
	@PostConstruct
    public void init() {
        ClientStarter.Builder builder = new ClientStarter.Builder();
        ClientStarter starter = builder.setAppName("appTest").setEtcdServer(etcd).build();
        starter.startPipeline();
    }
}
